Coverages
Get coverage options for a facility
Returns all available coverage options that can be purchased for a specific facility
GET
/
shopping
/
{portfolio}
/
v1
/
coverages
/
{facilityUuid}
Get coverage options for a facility
curl --request GET \
--url https://public-api.prd.monument.io/shopping/{portfolio}/v1/coverages/{facilityUuid} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://public-api.prd.monument.io/shopping/{portfolio}/v1/coverages/{facilityUuid}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://public-api.prd.monument.io/shopping/{portfolio}/v1/coverages/{facilityUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"coverageUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"itemTypeUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"premiumInPennies": 123,
"coverageAmountInPennies": 123,
"description": "<string>",
"provider": "SAFE_LEASE",
"allowManualChanges": true,
"providerDescription": "<string>",
"isDefault": true
}
]Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Response
200 - application/json
Successfully retrieved coverage options for a facility
Available options:
SAFE_LEASE, SECURE_LEASE, STORAGE_SHIELD, RV_PARK_N_PROTECT, OTHER ⌘I
Get coverage options for a facility

